<template>
	<div class="booking-form-container">
		<h1>Buchungsanfrage</h1>
		<form action="">
			<div class="booking-form-container__dates">
				<div class="dropdown">
					<p>28.11.2017</p>
				</div>
				<div class="dropdown">
					<p>28.11.2017</p>
				</div>
			</div>
			<div class="dropdown">
				<p>Anzahl Gäste</p>
			</div>
			<div class="dropdown">
				<p>Zimmer</p>
			</div>
			<div class="dropdown">
				<p>Packages</p>
			</div>
			<button type="submit">weiter</button>
		</form>
	</div>
</template>

<script>
export default {

}
</script>

<style lang="scss" scoped>
@import '~@/assets/scss/fonts.scss';
$primary : #00A290;

.booking-form-container {
	height: 500px;
	width: 384px;
	border-radius: 4px;
	padding: 40px 23px;
	background-color: $primary;
	box-shadow: 0px 18px 20px -6px #7bd4cb;
	display: flex;
	flex-direction: column;

	h1{
		color: #FFFFFF;
		font-family: "Bebas Neue";
		line-height: 58px;
		font-size: 48px;
		font-weight: bold;
		margin: 0;
	}


	&__dates{
		display: flex;
		justify-content: space-between;

		.dropdown{
			flex: 1;
			&:nth-child(1){
				margin-right: 10px;
			}
			&:nth-child(2){
				margin-left: 10px;
			}
		}
	}

	form{
		display: flex;
		justify-content: space-around;
		flex-direction: column;
		flex: 1;

		.dropdown{
			p{
				color: #FFFFFF;
				font-family: Roboto;
				font-size: 16px;
				font-weight: 500;
				padding: 15px;
				border-bottom: 2px solid #fff;
				opacity: 0.69;
				transition: opacity .2s;
				position: relative;
				cursor: pointer;
				&:hover{
					opacity: 1;
				}

				&:before{
					content: "\f107" !important;
  				font-family: "Font Awesome 5 Free";
					font-weight: 900;
					position: absolute;
					right: 20px;
				}
			}
		}

		button{
			width: 100%;
			border-radius: 25px;
			border: 2px solid #FFFFFF;
			color: #fff;
			background: transparent;
			cursor: pointer;
			height: 52px;
			font-size: 14px;
			text-transform: uppercase;
			font-family: "Brandon Grotesque";
			font-weight: bold;
			transition: all .2s;

			&:hover{
				background: #fff;
				color: $primary;
			}
		}
	}
}
</style>
